## org.jfree.xml.factory.objects
Class ShortObjectDescription

    java.lang.Object
      org.jfree.xml.factory.objects.AbstractObjectDescription
          org.jfree.xml.factory.objects.ShortObjectDescription

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, ObjectDescription

    public class ShortObjectDescription

extends AbstractObjectDescription

An object-description for a `Short` object.

Author:
  Thomas Morgner
See Also:
  Serialized Form

Constructor Summary
`ShortObjectDescription()` Creates a new object description.

Method Summary
`java.lang.Object` `createObject()` Creates an object based on this description.
`boolean` `equals(java.lang.Object o)` Tests for equality.
`int` `hashCode()` Returns a hash code.
`void` `setParameterFromObject(java.lang.Object o)` Sets the parameters of this description object to match the supplied object.

Methods inherited from class org.jfree.xml.factory.objects.AbstractObjectDescription
`configure, convertPrimitiveClass, getConfig, getDefinedParameterNames, getInstance, getObjectClass, getParameter, getParameterDefinition, getParameterNames, getUnconfiguredInstance, setParameter, setParameterDefinition`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShortObjectDescription

    public ShortObjectDescription()

  Creates a new object description.

Method Detail

### createObject

    public java.lang.Object createObject()

  Creates an object based on this description.

  Returns:
    The object.

### setParameterFromObject

    public void setParameterFromObject(java.lang.Object o)
                                throws ObjectFactoryException

  Sets the parameters of this description object to match the supplied object.

  Parameters:
    `o` - the object (should be an instance of `Short`).
  Throws:
    `ObjectFactoryException` - if the object is not an instance of `Short`.

### equals

    public boolean equals(java.lang.Object o)

  Tests for equality.

  Specified by:
    `equals` in interface `ObjectDescription`
  Overrides:
    `equals` in class `AbstractObjectDescription`
  Parameters:
    `o` - the object to test.
  Returns:
    A boolean.

### hashCode

    public int hashCode()

  Returns a hash code.

  Specified by:
    `hashCode` in interface `ObjectDescription`
  Overrides:
    `hashCode` in class `AbstractObjectDescription`
  Returns:
    A hash code.